jobs:
    update_product_value:
        connector: Akeneo Mass Edit Connector
        alias:     update_product_value
        label:     Mass update products
        type:      mass_edit
    add_product_value:
        connector: Akeneo Mass Edit Connector
        alias:     add_product_value
        label:     Mass add products values
        type:      mass_edit
    remove_product_value:
        connector: Akeneo Mass Edit Connector
        alias:     remove_product_value
        label:     Mass remove products values
        type:      mass_edit
    move_to_category:
        connector: Akeneo Mass Edit Connector
        alias:     move_to_category
        label:     Mass move to categories
        type:      mass_edit
    add_association:
        connector: Akeneo Mass Edit Connector
        alias:     add_association
        label:     Mass associate products
        type:      mass_edit
    add_to_category:
        connector: Akeneo Mass Edit Connector
        alias:     add_to_category
        label:     Mass add to categories
        type:      mass_edit
    remove_from_category:
        connector: Akeneo Mass Edit Connector
        alias:     remove_from_category
        label:     Mass remove from categories
        type:      mass_edit
    edit_common_attributes:
        connector: Akeneo Mass Edit Connector
        alias:     edit_common_attributes
        label:     Mass edit product attributes
        type:      mass_edit
    add_attribute_value:
        connector: Akeneo Mass Edit Connector
        alias:     add_attribute_value
        label:     Mass add attribute value
        type:      mass_edit
    set_attribute_requirements:
        connector: Akeneo Mass Edit Connector
        alias:     set_attribute_requirements
        label:     Set family attribute requirements
        type:      mass_edit
    add_to_existing_product_model:
        connector: Akeneo Mass Edit Connector
        alias:     add_to_existing_product_model
        label:     Add to existing product model
        type:      mass_edit
    change_parent_product:
        connector: Akeneo Mass Edit Connector
        alias:     change_parent_product
        label:     Change parent product model
        type:      mass_edit
    csv_product_import:
        connector: Akeneo CSV Connector
        alias:     csv_product_import
        label:     CSV product import
        type:      import
        configuration:
            filePath:           '/tmp/footwear_products.csv'
            uploadAllowed:      true
            delimiter:          ;
            enclosure:          '"'
            enabled:            true
            categoriesColumn:   categories
            familyColumn:       family
            groupsColumn:       groups
            realTimeVersioning: true
            decimalSeparator:   .
    csv_product_model_import:
        connector: Akeneo CSV Connector
        alias: csv_product_model_import
        label: CSV product model import
        type: import
        configuration:
            filePath: /tmp/product_model.csv
            uploadAllowed: true
            delimiter: ;
            enclosure: '"'
            enabled: true
            categoriesColumn: categories
            familyVariantColumn: familyVariant
            realTimeVersioning: true
            decimalSeparator: .
            dateFormat: yyyy-MM-dd
    csv_product_quick_export:
        connector: Akeneo CSV Connector
        alias: csv_product_quick_export
        label: CSV product quick export
        type: quick_export
        configuration:
            delimiter:  ;
            enclosure:  '"'
            withHeader: true
            filePathProduct:      /tmp/1_products_export_%locale%_%scope%_%datetime%.csv
            filePathProductModel: /tmp/2_product_models_export_%locale%_%scope%_%datetime%.csv
            with_media: true
    csv_product_grid_context_quick_export:
        connector: Akeneo CSV Connector
        alias: csv_product_grid_context_quick_export
        label: CSV product quick export grid context
        type: quick_export
        configuration:
            delimiter:  ;
            enclosure:  '"'
            withHeader: true
            filePathProduct:      /tmp/1_products_export_grid_context_%locale%_%scope%_%datetime%.csv
            filePathProductModel: /tmp/2_product_models_export_grid_context_%locale%_%scope%_%datetime%.csv
            with_media: true
    csv_product_export:
        connector: Akeneo CSV Connector
        alias:     csv_product_export
        label:     CSV product export
        type:      export
        configuration:
            delimiter:  ;
            enclosure:  '"'
            withHeader: true
            filePath: /tmp/products.csv
            filters:
                data:
                    -
                        field: enabled
                        operator: '='
                        value: true
                structure:
                    scope: ecommerce
                    locales:
                        - en_US
    xlsx_product_quick_export:
        connector: Akeneo XLSX Connector
        alias: xlsx_product_quick_export
        label: XLSX product quick export
        type: quick_export
        configuration:
            withHeader: true
            linesPerFile: 10000
            filePathProduct:      /tmp/1_products_export_%locale%_%scope%_%datetime%.xlsx
            filePathProductModel: /tmp/2_product_models_export_%locale%_%scope%_%datetime%.xlsx
            with_media: true
    xlsx_product_grid_context_quick_export:
        connector: Akeneo XLSX Connector
        alias: xlsx_product_grid_context_quick_export
        label: XLSX product quick export grid context
        type: quick_export
        configuration:
            withHeader:   true
            filePathProduct:      /tmp/1_products_export_grid_context_%locale%_%scope%_%datetime%.xlsx
            filePathProductModel: /tmp/2_product_models_export_grid_context_%locale%_%scope%_%datetime%.xlsx
            linesPerFile: 10000
            with_media:   true
    csv_product_model_export:
        connector: Akeneo CSV Connector
        alias:     csv_product_model_export
        label:     CSV product model export
        type:      export
        configuration:
            delimiter:  ;
            enclosure:  '"'
            withHeader: true
            filePath: /tmp/product_models.csv
            filters:
                data: []
                structure:
                    scope: ecommerce
                    locales:
                        - en_US
    compute_completeness_of_products_family:
        connector: internal
        alias:     compute_completeness_of_products_family
        label:     compute completeness of products family
        type:      compute_completeness_of_products_family
    compute_family_variant_structure_changes:
        connector: internal
        alias:     compute_family_variant_structure_changes
        label:     Compute variant structure changes
        type:      compute_family_variant_structure_changes
    remove_non_existing_product_values:
        connector: internal
        alias:     remove_non_existing_product_values
        label:     Remove non existing product values
        type:      remove_non_existing_product_values
    clean_removed_attribute_job:
        connector: internal
        alias: clean_removed_attribute_job
        label: Cleaning removed attribute values
        type: clean_removed_attribute_job
    remove_completeness_for_channel_and_locale:
        connector: internal
        alias:     remove_completeness_for_channel_and_locale
        label:     Remove completeness for channel and locale
        type:      remove_completeness_for_channel_and_locale
